#!/system/bin/sh

# 定义目标应用包名和启动活动
PACKAGE_NAME="com.rekoo.pubgm"
ACTIVITY_NAME="com.epicgames.ue4.SplashActivity"

# 确定注入的共享库路径
INJECT_SO_PATH="$(pwd)/inject.so"
LIBHUALUO_PATH="$(pwd)/libPUBGM.so"
Inject_PATH="$(pwd)/Inject"

# 检查 inject.so 和 libPUBGM.so 是否是 32 位版本

# 将 32 位文件复制到目标路径
path=`pm path $PACKAGE_NAME | sed -E 's/(.*):(.*)/\2/'| sed -E 's/(.*)base.apk/\1/'`
cp -f "$Inject_PATH" $path"Inject"
chmod 777 $path"Inject"
sleep 0.2

cp -f "$LIBHUALUO_PATH" $path"libPUBGM.so"
chmod 777 $path"libPUBGM.so"

# 启动目标应用
am start -n $PACKAGE_NAME/$ACTIVITY_NAME
sleep 4

# 注入共享库
$path"Inject" --pkg $PACKAGE_NAME --library $path"libPUBGM.so" 

echo "$PACKAGE_NAME 应用正在运行！"